<script>
	import Box from "@/components/Box.svelte"

	import { createEventDispatcher } from "svelte"
	
	import { fade } from 'svelte/transition'

	export let active = false
	export let success = false

	const emit = createEventDispatcher()

	const close = () => emit("close")
</script>

<template lang="pug">
+if('active')
	.modal.is-flex.is-align-items-center.is-justify-content-center( transition:fade='{{ duration: 50 }}' )
		.modal-background( on:click!='{close}' )
		.modal-content( class:success='{success}' ): Box: slot( close='{close}' )
</template>

<style lang="scss">
	.modal {
		width: 100%;
		height: 100%;
		position: fixed;
		top: 0;
		left: 0;
		z-index: 2;
		&-background {
			width: 100%;
			height: 100%;
			background: rgba(27, 26, 26, 0.7);
			position: absolute;
			top: 0;
			left: 0;
			z-index: 1;
		}
		&-content {
			width: 100%;
			max-width: 480px;
			box-shadow: 
				0px 100px 80px rgba(0, 0, 0, 0.07),
				0px 64.8148px 46.8519px rgba(0, 0, 0, 0.0531481),
				0px 38.5185px 25.4815px rgba(0, 0, 0, 0.0425185),
				0px 20px 13px rgba(0, 0, 0, 0.035),
				0px 8.14815px 6.51852px rgba(0, 0, 0, 0.0274815),
				0px 1.85185px 3.14815px rgba(0, 0, 0, 0.0168519);
			overflow-x: hidden;
			overflow-y: auto;
			position: relative;
			z-index: 2;

			&.success {
				border-top: 2px solid $green;
			}
		}
	}
</style>